Bug 64308 - gcc: Internal error: Segmentation fault (program cpp0)
gcc: Internal error: Segmentation fault (program cpp0)
Status: CLOSED DUPLICATE of bug 55744
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-01 23:15 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-01 23:15:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-01 23:15:20 EDT
Description of Problem:

I accidentally used "-D" when I intended to use "-I" on
a gcc command line.  (i.e. -D is followed by a path)
The follow error was the result:

gcc -c -g -ansi -pedantic  -I. -I../../../../exports/include/X11
-I../../../../include/fonts 	   -I../../cfb -I../../mfb -I../../mi -I../../include
-I../../os             -I../../../../include/extensions
-I../../../../exports/include/X11 -D../../../../../../dd/src/common 	   
-D../../../../../../dd/src/yts_dev -I  -I../../../..
-I../../../../exports/include  -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L
-D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -DSHAPE  -DXKB -DLBX -DXAPPGROUP
-DXCSECURITY -DTOGCUP     -DPANORAMIX -DXTRAP  -DGCCUSESGAS -DSTATIC_COLOR
-DAVOID_GLYPHBLT -DPIXPRIV     -DYUTSUN_SERVER -D_XOPEN_SOURCE=500 
-DFUNCPROTO=15 -DNARROWPROTO  -DDDXOSINIT -DSERVER_LOCK -DDDXTIME -DZZN  yts_cfg.c
<command line>: macro names must be identifiers
gcc: Internal error: Segmentation fault (program cpp0)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Version-Release number of selected component (if applicable):
gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-85)


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Jakub Jelinek 2002-05-02 06:48:46 EDT

*** This bug has been marked as a duplicate of 55744 ***

Note You need to log in before you can comment on or make changes to this bug.